Skip to main content

Get transactions

GET

Retrieves transactions committed on-chain. You can fetch transactions in a specific sequence by providing page size and start ledger version.Returns 410 if the version has been pruned.To query pending transactions, use the Get Transaction by Hash API.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Query Parameters
limitinteger
The maximum number of account modules to fetch.If no value is provided, the default page size is used.
startstring
A cursor that specifies the starting position for pagination.This cursor cannot be arbitrarily generated on the client side. You must first call this endpoint without specifying this query parameter, then use the cursor returned in the X-Aptos-Cursor header of the response.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X GET 'https://aptos-mainnet.nodit.io/v1/transactions?start=0000000000000000000000000000000000000000000000000000000000000000012f0000000000000000000000000000000000000000000000000000000000000000010d7374616b696e675f70726f7879' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'